# WOK
TKWOK
MS

# MS_ExecFile Class Reference

`#include <MS_ExecFile.hxx>`

## Public Member Functions

Standard_EXPORT | MS_ExecFile (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetLanguage (const MS_Language aLang)
Standard_EXPORT MS_Language | Language () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myName
MS_Language | myLanguage

## Constructor & Destructor Documentation

Standard_EXPORT MS_ExecFile::MS_ExecFile | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Member Function Documentation

Standard_EXPORT const MS_ExecFile::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT MS_Language MS_ExecFile::Language | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString MS_ExecFile::Name | ( |  | ) | const

Standard_EXPORT void MS_ExecFile::SetLanguage | ( | const MS_Language | aLang | ) |

Standard_EXPORT void MS_ExecFile::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

MS_Language MS_ExecFile::myLanguage `[private]`

Handle_TCollection_HAsciiString MS_ExecFile::myName `[private]`

The documentation for this class was generated from the following file:

- MS_ExecFile.hxx